
module "app-runner" {
  source = "terraform-aws-modules/app-runner/aws"
  version = "1.2.1"
  access_iam_role_description = var.access_iam_role_description
  access_iam_role_name = var.access_iam_role_name
  access_iam_role_path = var.access_iam_role_path
  access_iam_role_permissions_boundary = var.access_iam_role_permissions_boundary
  access_iam_role_policies = var.access_iam_role_policies
  access_iam_role_use_name_prefix = var.access_iam_role_use_name_prefix
  auto_scaling_configuration_arn = var.auto_scaling_configuration_arn
  auto_scaling_configurations = var.auto_scaling_configurations
  connections = var.connections
  create = var.create
  create_access_iam_role = var.create_access_iam_role
  create_custom_domain_association = var.create_custom_domain_association
  create_ingress_vpc_connection = var.create_ingress_vpc_connection
  create_instance_iam_role = var.create_instance_iam_role
  create_service = var.create_service
  create_vpc_connector = var.create_vpc_connector
  domain_name = var.domain_name
  enable_observability_configuration = var.enable_observability_configuration
  enable_www_subdomain = var.enable_www_subdomain
  encryption_configuration = var.encryption_configuration
  health_check_configuration = var.health_check_configuration
  ingress_vpc_endpoint_id = var.ingress_vpc_endpoint_id
  ingress_vpc_id = var.ingress_vpc_id
  instance_configuration = var.instance_configuration
  instance_iam_role_description = var.instance_iam_role_description
  instance_iam_role_name = var.instance_iam_role_name
  instance_iam_role_path = var.instance_iam_role_path
  instance_iam_role_permissions_boundary = var.instance_iam_role_permissions_boundary
  instance_iam_role_policies = var.instance_iam_role_policies
  instance_iam_role_use_name_prefix = var.instance_iam_role_use_name_prefix
  instance_policy_statements = var.instance_policy_statements
  network_configuration = var.network_configuration
  observability_configuration = var.observability_configuration
  private_ecr_arn = var.private_ecr_arn
  service_name = var.service_name
  source_configuration = var.source_configuration
  tags = var.tags
  vpc_connector_name = var.vpc_connector_name
  vpc_connector_security_groups = var.vpc_connector_security_groups
  vpc_connector_subnets = var.vpc_connector_subnets
}
